## rtpvp8pay

rtpvp8pay

## Properties

GstVP8RTPPayMode | picture-id-mode | Read / Write

## Types and Values

struct | GstRtpVP8Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpVP8Pay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Sjoerd Simons <sjoerd@luon.net>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-vp8

name | src
direction | source
presence | always
details | application/x-rtp, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string){ VP8, VP8-DRAFT-IETF-01 }

## Functions

## Types and Values

### struct GstRtpVP8Pay

    struct GstRtpVP8Pay;

## Property Details

### The `“picture-id-mode”` property

      “picture-id-mode”          GstVP8RTPPayMode

The picture ID mode for payloading.

Owner: GstRtpVP8Pay

Flags: Read / Write

Default value: No Picture ID